<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.prolog.cs.base.gsp.dao.GspUnqualifiedStockMapper">
	<resultMap id="map" type="com.prolog.cs.base.gsp.model.GspUnqualifiedStock">
		<result column="id" property="id"/>
		<result column="enterprise_id" property="enterpriseId"/>
		<result column="dc_id" property="dcId"/>
		<result column="warehouse_id" property="warehouseId"/>
		<result column="cargo_owner_id" property="cargoOwnerId"/>
		<result column="locator_id" property="locatorId"/>
		<result column="locator_code" property="locatorCode"/>
		<result column="item_id" property="itemId"/>
		<result column="item_code" property="itemCode"/>
		<result column="lot_num" property="lotNum"/>
		<result column="unqualified_qty" property="unqualifiedQty"/>
		<result column="lossing_qty" property="lossingQty"/>
		<result column="loss_qty" property="lossQty"/>
		<result column="destroying_qty" property="destroyingQty"/>
		<result column="destroy_qty" property="destroyQty"/>
		<result column="gmt_create" property="gmtCreate"/>
		<result column="creator" property="creator"/>
		<result column="creator_name" property="creatorName"/>
		<result column="gmt_modified" property="gmtModified"/>
		<result column="modifier" property="modifier"/>
		<result column="modifier_name" property="modifierName"/>
		<result column="remark" property="remark"/>
		<result column="batch_id" property="batchId"/>
	</resultMap>
</mapper>
